--- old/usr/src/Makefile.master	2015-02-19 12:43:01.875195870 -0500
+++ new/usr/src/Makefile.master	2015-02-19 12:43:01.903212118 -0500
@@ -901,7 +901,6 @@
 # Default label for CTF sections
 #
 CTFCVTFLAGS=		-i -L VERSION
-$(SRCDBGBLD)CTFCVTFLAGS 	+= -g
 
 #
 # Override to pass module-specific flags to ctfmerge.  Currently used only by
@@ -909,8 +908,6 @@
 # stripping.
 #
 CTFMRGFLAGS=
-$(SRCDBGBLD)CTFMRGFLAGS 	+= -g
-
 
 CTFCONVERT_O		= $(CTFCONVERT) $(CTFCVTFLAGS) $@
 
@@ -973,8 +970,7 @@
 PROCESS_COMMENT=  @?${MCS} -d -a $(RELEASE_CM) -a $(DEV_CM)
 $(RELEASE_BUILD)PROCESS_COMMENT=   @?${MCS} -d -a $(RELEASE_CM)
 
-STRIP_STABS=			   :
-$(RELEASE_BUILD)STRIP_STABS=	   $(STRIP) -x $@
+STRIP_STABS=			   $(STRIP) -x $@
 $(SRCDBGBLD)STRIP_STABS=	   :
 
 POST_PROCESS_O=	
--- old/usr/src/cmd/fm/eversholt/Makefile.esc.com	2015-02-19 12:43:03.583816267 -0500
+++ new/usr/src/cmd/fm/eversholt/Makefile.esc.com	2015-02-19 12:43:03.595415840 -0500
@@ -52,8 +52,6 @@
 CTFCONVO = $(CTFCONVERT_O)
 CTFMRG = $(CTFMERGE) -L VERSION -o $@ $(OBJS)
 
-debug := CTFCONVO = STRIPSTABS_KEEP_STABS= $(CTFCONVERT_O)
-debug := CTFMRG = STRIPSTABS_KEEP_STABS= $(CTFMERGE) -L VERSION -o $@ $(OBJS)
 debug := COPTFLAG =
 debug := COPTFLAG64 =
 
--- old/usr/src/cmd/mdb/Makefile.kmdb.targ	2015-02-19 12:43:04.533777478 -0500
+++ new/usr/src/cmd/mdb/Makefile.kmdb.targ	2015-02-19 12:43:04.575586154 -0500
@@ -33,6 +33,7 @@
 	$(LD) -dy -r -o $@ $@.core -Nmisc/ctf $(KCTLOBJS)
 	$(CTFMERGE) -L VERSION -o $@ $(OBJS) $(KCTLOBJS)
 	$(KMDB_FPTEST)
+	$(POST_PROCESS)
 	$(SETDYNFLAG) -f DF_1_IGNMULDEF,DF_1_NOKSYMS $@
 
 clean.lint:
--- old/usr/src/cmd/mdb/Makefile.module	2015-02-19 12:43:04.977088025 -0500
+++ new/usr/src/cmd/mdb/Makefile.module	2015-02-19 12:43:05.013824466 -0500
@@ -189,6 +189,7 @@
 	$(KMDB_LINKTEST_CMD)
 	$(KMDB_FPTEST_CMD)
 	$(CTFMERGE) -f -L VERSION -o $@ $(KMODOBJS)
+	$(POST_PROCESS)
 	$(SETDYNFLAG) -f DF_1_NOKSYMS $@
 
 linktest: linktest_check .WAIT kmod .WAIT $(KMODOBJS)
--- old/usr/src/lib/libm/common/m9x/__fex_i386.c	2015-02-19 12:43:05.597170510 -0500
+++ new/usr/src/lib/libm/common/m9x/__fex_i386.c	2015-02-19 12:43:05.619348872 -0500
@@ -50,9 +50,8 @@
  * The following variable lives in libc on Solaris 10, where it
  * gets set to a nonzero value at startup time on systems with SSE.
  */
-int _sse_hw = 0;
-#pragma weak _sse_hw
-#define test_sse_hw	&_sse_hw && _sse_hw
+extern int _sse_hw;
+#define test_sse_hw	_sse_hw
 #endif
 
 static int accrued = 0;
@@ -216,7 +215,7 @@
 	if (i < 0x7fff) {
 		if (i < 1) {
 			if (*(1+(int*)x) < 0) return fp_normal; /* pseudo-denormal */
-			return (((*(1+(int*)x) | *(int*)x) == 0)?	
+			return (((*(1+(int*)x) | *(int*)x) == 0)?
 				fp_zero : fp_subnormal);
 		}
 		return ((*(1+(int*)x) < 0)? fp_normal :
--- old/usr/src/tools/ctf/cvt/ctfconvert.c	2015-02-19 12:43:06.115737028 -0500
+++ new/usr/src/tools/ctf/cvt/ctfconvert.c	2015-02-19 12:43:06.140643457 -0500
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Given a file containing sections with stabs data, convert the stabs data to
  * CTF data, and replace the stabs sections with a CTF section.
@@ -150,7 +148,6 @@
 	char *label = NULL;
 	int verbose = 0;
 	int ignore_non_c = 0;
-	int keep_stabs = 0;
 	int c;
 
 	sighold(SIGINT);
@@ -164,7 +161,7 @@
 	if (getenv("CTFCONVERT_DEBUG_PARSE"))
 		debug_parse = atoi(getenv("CTFCONVERT_DEBUG_PARSE"));
 
-	while ((c = getopt(argc, argv, ":l:L:o:givs")) != EOF) {
+	while ((c = getopt(argc, argv, ":l:L:o:ivs")) != EOF) {
 		switch (c) {
 		case 'l':
 			label = optarg;
@@ -182,9 +179,6 @@
 		case 'i':
 			ignore_non_c = 1;
 			break;
-		case 'g':
-			keep_stabs = CTF_KEEP_STABS;
-			break;
 		case 'v':
 			verbose = 1;
 			break;
@@ -194,9 +188,6 @@
 		}
 	}
 
-	if (getenv("STRIPSTABS_KEEP_STABS") != NULL)
-		keep_stabs = CTF_KEEP_STABS;
-
 	if (argc - optind != 1 || label == NULL) {
 		usage();
 		exit(2);
@@ -240,11 +231,11 @@
 	 * to a temporary file, and replace the input file when we're done.
 	 */
 	if (outfile && strcmp(infile, outfile) != 0) {
-		write_ctf(mstrtd, infile, outfile, dynsym | keep_stabs);
+		write_ctf(mstrtd, infile, outfile, dynsym);
 	} else {
 		char *tmpname = mktmpname(infile, ".ctf");
 
-		write_ctf(mstrtd, infile, tmpname, dynsym | keep_stabs);
+		write_ctf(mstrtd, infile, tmpname, dynsym);
 		if (rename(tmpname, infile) != 0)
 			terminate("Couldn't rename temp file %s", tmpname);
 		free(tmpname);
--- old/usr/src/tools/ctf/cvt/ctfmerge.c	2015-02-19 12:43:06.533964837 -0500
+++ new/usr/src/tools/ctf/cvt/ctfmerge.c	2015-02-19 12:43:06.545990034 -0500
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Given several files containing CTF data, merge and uniquify that data into
  * a single CTF section in an output file.
@@ -602,7 +600,7 @@
 }
 
 static void
-copy_ctf_data(char *srcfile, char *destfile, int keep_stabs)
+copy_ctf_data(char *srcfile, char *destfile)
 {
 	tdata_t *srctd;
 
@@ -610,7 +608,7 @@
 		terminate("No CTF data found in source file %s\n", srcfile);
 
 	tmpname = mktmpname(destfile, ".ctf");
-	write_ctf(srctd, destfile, tmpname, CTF_COMPRESS | keep_stabs);
+	write_ctf(srctd, destfile, tmpname, CTF_COMPRESS);
 	if (rename(tmpname, destfile) != 0) {
 		terminate("Couldn't rename temp file %s to %s", tmpname,
 		    destfile);
@@ -741,7 +739,6 @@
 	char **ifiles, **tifiles;
 	int verbose = 0, docopy = 0;
 	int write_fuzzy_match = 0;
-	int keep_stabs = 0;
 	int require_ctf = 0;
 	int nifiles, nielems;
 	int c, i, idx, tidx, err;
@@ -752,7 +749,7 @@
 		debug_level = atoi(getenv("CTFMERGE_DEBUG_LEVEL"));
 
 	err = 0;
-	while ((c = getopt(argc, argv, ":cd:D:fgl:L:o:tvw:s")) != EOF) {
+	while ((c = getopt(argc, argv, ":cd:D:fl:L:o:tvw:s")) != EOF) {
 		switch (c) {
 		case 'c':
 			docopy = 1;
@@ -768,9 +765,6 @@
 		case 'f':
 			write_fuzzy_match = CTF_FUZZY_MATCH;
 			break;
-		case 'g':
-			keep_stabs = CTF_KEEP_STABS;
-			break;
 		case 'l':
 			/* Label merged types with `label' */
 			label = optarg;
@@ -833,9 +827,6 @@
 		exit(2);
 	}
 
-	if (getenv("STRIPSTABS_KEEP_STABS") != NULL)
-		keep_stabs = CTF_KEEP_STABS;
-
 	if (uniqfile && access(uniqfile, R_OK) != 0) {
 		warning("Uniquification file %s couldn't be opened and "
 		    "will be ignored.\n", uniqfile);
@@ -855,7 +846,7 @@
 	 * so we shoe-horn a copier into ctfmerge.
 	 */
 	if (docopy) {
-		copy_ctf_data(argv[optind], argv[optind + 1], keep_stabs);
+		copy_ctf_data(argv[optind], argv[optind + 1]);
 
 		exit(0);
 	}
@@ -999,7 +990,7 @@
 
 	tmpname = mktmpname(outfile, ".ctf");
 	write_ctf(savetd, outfile, tmpname,
-	    CTF_COMPRESS | write_fuzzy_match | dynsym | keep_stabs);
+	    CTF_COMPRESS | write_fuzzy_match | dynsym);
 	if (rename(tmpname, outfile) != 0)
 		terminate("Couldn't rename output temp file %s", tmpname);
 	free(tmpname);
--- old/usr/src/tools/ctf/cvt/ctftools.h	2015-02-19 12:43:07.014219839 -0500
+++ new/usr/src/tools/ctf/cvt/ctftools.h	2015-02-19 12:43:07.026276703 -0500
@@ -390,7 +390,6 @@
 #define	CTF_FUZZY_MATCH	0x1 /* match local symbols to global CTF */
 #define	CTF_USE_DYNSYM	0x2 /* use .dynsym not .symtab */
 #define	CTF_COMPRESS	0x4 /* compress CTF output */
-#define	CTF_KEEP_STABS	0x8 /* keep .stabs sections */
 
 void write_ctf(tdata_t *, const char *, const char *, int);
 
--- old/usr/src/tools/ctf/cvt/output.c	2015-02-19 12:43:07.517935090 -0500
+++ new/usr/src/tools/ctf/cvt/output.c	2015-02-19 12:43:07.529956238 -0500
@@ -456,7 +456,6 @@
 	off_t new_offset = 0;
 	off_t ctfnameoff = 0;
 	int dynsym = (flags & CTF_USE_DYNSYM);
-	int keep_stabs = (flags & CTF_KEEP_STABS);
 	int *secxlate;
 	int srcidx, dstidx;
 	int curnmoff = 0;
@@ -506,12 +505,6 @@
 
 		if (strcmp(sname, CTF_ELF_SCN_NAME) == 0) {
 			secxlate[srcidx] = -1;
-		} else if (!keep_stabs &&
-		    (strncmp(sname, ".stab", 5) == 0 ||
-		    strncmp(sname, ".debug", 6) == 0 ||
-		    strncmp(sname, ".rel.debug", 10) == 0 ||
-		    strncmp(sname, ".rela.debug", 11) == 0)) {
-			secxlate[srcidx] = -1;
 		} else if (dynsym && shdr.sh_type == SHT_SYMTAB) {
 			/*
 			 * If we're building CTF against the dynsym,
